/****************
 * MODAL DIALOG *
 *   Layout     *
 ****************/

.planner-modal.visible {
  display: flex;
}
.planner-modal {
  display: none;

  /* Underlay covers entire screen. */
  position: fixed;
  top: 0px;
  bottom: 0px;
  left: 0px;
  right: 0px;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1000;

  /* Flexbox centers the .planner-modal-content vertically and horizontally */
  flex-direction: column;
  align-items: center;
}

.planner-modal .planner-modal-header,
.planner-modal .planner-modal-body {
  padding: 0.5rem 0.66rem;
  margin-bottom: 10px;
  text-align: center;
  display: block;
  width: 100%;
}

.planner-modal .planner-modal-body {
  padding-bottom: 0;
}

@media (min-width: 576px) {
  .planner-modal .planner-modal-body {
    padding: 2rem 38px 0;
  }
}

/****************
 * close button *
 ****************/

.planner-modal .planner-modal-header {
  position: relative;
}
.planner-modal .planner-modal-header button {
  position: absolute;
  right: 5px;
  top: 5px;
}
.planner-modal .planner-modal-header button {
  background: none;
  border: none;
  aspect-ratio: 1;
  height: 31px;
  padding: 0;
}
.planner-modal .planner-modal-header button svg {
  width: 100%;
  height: 25px;
  margin: auto 0;
  fill: var(--color-white);
}

/**********
 * header *
 **********/

.planner-modal .planner-modal-header {
  background-color: var(--color-header);
  color: white;
  text-transform: uppercase;
  font-weight: bold;
}

/************
 * underlay *
 ************/

.planner-modal > .planner-modal-underlay {
  /* underlay takes up the entire viewport. This is only
    required if you want to click to dismiss the popup */
  position: absolute;
  z-index: -1;
  top: 0px;
  bottom: 0px;
  left: 0px;
  right: 0px;
}

.planner-modal > .planner-modal-content {
  /* Position visible planner-modal near the top of the window */
  margin-top: 10vh;

  /* Sizing for visible planner-modal */
  width: 80%;
  max-width: 600px;
  overflow-y: auto;
  padding: 0;

  /* Display properties for visible planner-modal*/
  /* border: solid 1px #999;
   */
  border-radius: 8px;
  box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.3);
  background-color: white;
}

/*************
 * Animation *
 *************/

.planner-modal {
  /* Animate when opening */
  animation-name: planner-modal-fadeIn;
  animation-duration: 150ms;
  animation-timing-function: ease;
}

@keyframes planner-modal-fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
